# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.books
Class VolumeEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<VolumeEntry>
                  com.google.gdata.data.books.VolumeEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class VolumeEntry

extends BaseEntry<VolumeEntry>

Describes an entry in a feed of Book Search volumes.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Volume kind category.
`static java.lang.String` `KIND` Volume kind term value.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`VolumeEntry()` Default mutable constructor.
`VolumeEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `addCreator(Creator creator)` Adds a new creator.
`void` `addDate(Date date)` Adds a new date.
`void` `addDescription(Description description)` Adds a new description.
`void` `addFormat(Format format)` Adds a new format.
`void` `addIdentifier(Identifier identifier)` Adds a new identifier.
`void` `addLanguage(Language language)` Adds a new language.
`void` `addPublisher(Publisher publisher)` Adds a new publisher.
`void` `addSubject(Subject subject)` Adds a new subject.
`void` `addTitle(Title title)` Adds a new title.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`Link` `getAnnotationLink()` Returns the annotation link to submit review, rating, labels.
`Link` `getAtomAlternateLink()` Returns the link that provides the URI of an alternate format of the entry's or feed's contents.
`Comments` `getComments()` Returns the Comments class.
`java.util.List<Creator>` `getCreators()` Returns the creators.
`java.util.List<Date>` `getDates()` Returns the dates.
`java.util.List<Description>` `getDescriptions()` Returns the descriptions.
`Embeddability` `getEmbeddability()` Returns the embeddability.
`Link` `getEpubDownloadLink()` Returns the epub download link.
`java.util.List<Format>` `getFormats()` Returns the formats.
`java.util.List<Identifier>` `getIdentifiers()` Returns the identifiers.
`Link` `getInfoLink()` Returns the link to a description page.
`java.util.List<Language>` `getLanguages()` Returns the languages.
`OpenAccess` `getOpenAccess()` Returns the open access.
`Link` `getPreviewLink()` Returns the link to a preview page.
`java.util.List<Publisher>` `getPublishers()` Returns the publishers.
`Rating` `getRating()` Returns the rating.
`Review` `getReview()` Returns the review.
`java.util.List<Subject>` `getSubjects()` Returns the subjects.
`Link` `getThumbnailLink()` Returns the link that provides the URI of a thumbnail image.
`java.util.List<Title>` `getTitles()` Returns the titles.
`Viewability` `getViewability()` Returns the viewability.
`boolean` `hasComments()` Returns whether it has the Comments class.
`boolean` `hasCreators()` Returns whether it has the creators.
`boolean` `hasDates()` Returns whether it has the dates.
`boolean` `hasDescriptions()` Returns whether it has the descriptions.
`boolean` `hasEmbeddability()` Returns whether it has the embeddability.
`boolean` `hasFormats()` Returns whether it has the formats.
`boolean` `hasIdentifiers()` Returns whether it has the identifiers.
`boolean` `hasLanguages()` Returns whether it has the languages.
`boolean` `hasOpenAccess()` Returns whether it has the open access.
`boolean` `hasPublishers()` Returns whether it has the publishers.
`boolean` `hasRating()` Returns whether it has the rating.
`boolean` `hasReview()` Returns whether it has the review.
`boolean` `hasSubjects()` Returns whether it has the subjects.
`boolean` `hasTitles()` Returns whether it has the titles.
`boolean` `hasViewability()` Returns whether it has the viewability.
`void` `setComments(Comments comments)` Sets the Comments class.
`void` `setEmbeddability(Embeddability embeddability)` Sets the embeddability.
`void` `setOpenAccess(OpenAccess openAccess)` Sets the open access.
`void` `setRating(Rating rating)` Sets the rating.
`void` `setReview(Review review)` Sets the review.
`void` `setViewability(Viewability viewability)` Sets the viewability.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KIND

    public static final java.lang.String KIND

  Volume kind term value.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Volume kind category.

Constructor Detail

### VolumeEntry

    public VolumeEntry()

  Default mutable constructor.

### VolumeEntry

    public VolumeEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getComments

    public Comments getComments()

  Returns the Comments class.

  Returns:
    Comments class

### setComments

    public void setComments(Comments comments)

  Sets the Comments class.

  Parameters:
    `comments` - Comments class or `null` to reset

### hasComments

    public boolean hasComments()

  Returns whether it has the Comments class.

  Returns:
    whether it has the Comments class

### getCreators

    public java.util.List<Creator> getCreators()

  Returns the creators.

  Returns:
    creators

### addCreator

    public void addCreator(Creator creator)

  Adds a new creator.

  Parameters:
    `creator` - creator

### hasCreators

    public boolean hasCreators()

  Returns whether it has the creators.

  Returns:
    whether it has the creators

### getDates

    public java.util.List<Date> getDates()

  Returns the dates.

  Returns:
    dates

### addDate

    public void addDate(Date date)

  Adds a new date.

  Parameters:
    `date` - date

### hasDates

    public boolean hasDates()

  Returns whether it has the dates.

  Returns:
    whether it has the dates

### getDescriptions

    public java.util.List<Description> getDescriptions()

  Returns the descriptions.

  Returns:
    descriptions

### addDescription

    public void addDescription(Description description)

  Adds a new description.

  Parameters:
    `description` - description

### hasDescriptions

    public boolean hasDescriptions()

  Returns whether it has the descriptions.

  Returns:
    whether it has the descriptions

### getEmbeddability

    public Embeddability getEmbeddability()

  Returns the embeddability.

  Returns:
    embeddability

### setEmbeddability

    public void setEmbeddability(Embeddability embeddability)

  Sets the embeddability.

  Parameters:
    `embeddability` - embeddability or `null` to reset

### hasEmbeddability

    public boolean hasEmbeddability()

  Returns whether it has the embeddability.

  Returns:
    whether it has the embeddability

### getFormats

    public java.util.List<Format> getFormats()

  Returns the formats.

  Returns:
    formats

### addFormat

    public void addFormat(Format format)

  Adds a new format.

  Parameters:
    `format` - format

### hasFormats

    public boolean hasFormats()

  Returns whether it has the formats.

  Returns:
    whether it has the formats

### getIdentifiers

    public java.util.List<Identifier> getIdentifiers()

  Returns the identifiers.

  Returns:
    identifiers

### addIdentifier

    public void addIdentifier(Identifier identifier)

  Adds a new identifier.

  Parameters:
    `identifier` - identifier

### hasIdentifiers

    public boolean hasIdentifiers()

  Returns whether it has the identifiers.

  Returns:
    whether it has the identifiers

### getLanguages

    public java.util.List<Language> getLanguages()

  Returns the languages.

  Returns:
    languages

### addLanguage

    public void addLanguage(Language language)

  Adds a new language.

  Parameters:
    `language` - language

### hasLanguages

    public boolean hasLanguages()

  Returns whether it has the languages.

  Returns:
    whether it has the languages

### getOpenAccess

    public OpenAccess getOpenAccess()

  Returns the open access.

  Returns:
    open access

### setOpenAccess

    public void setOpenAccess(OpenAccess openAccess)

  Sets the open access.

  Parameters:
    `openAccess` - open access or `null` to reset

### hasOpenAccess

    public boolean hasOpenAccess()

  Returns whether it has the open access.

  Returns:
    whether it has the open access

### getPublishers

    public java.util.List<Publisher> getPublishers()

  Returns the publishers.

  Returns:
    publishers

### addPublisher

    public void addPublisher(Publisher publisher)

  Adds a new publisher.

  Parameters:
    `publisher` - publisher

### hasPublishers

    public boolean hasPublishers()

  Returns whether it has the publishers.

  Returns:
    whether it has the publishers

### getRating

    public Rating getRating()

  Returns the rating.

  Returns:
    rating

### setRating

    public void setRating(Rating rating)

  Sets the rating.

  Parameters:
    `rating` - rating or `null` to reset

### hasRating

    public boolean hasRating()

  Returns whether it has the rating.

  Returns:
    whether it has the rating

### getReview

    public Review getReview()

  Returns the review.

  Returns:
    review

### setReview

    public void setReview(Review review)

  Sets the review.

  Parameters:
    `review` - review or `null` to reset

### hasReview

    public boolean hasReview()

  Returns whether it has the review.

  Returns:
    whether it has the review

### getSubjects

    public java.util.List<Subject> getSubjects()

  Returns the subjects.

  Returns:
    subjects

### addSubject

    public void addSubject(Subject subject)

  Adds a new subject.

  Parameters:
    `subject` - subject

### hasSubjects

    public boolean hasSubjects()

  Returns whether it has the subjects.

  Returns:
    whether it has the subjects

### getTitles

    public java.util.List<Title> getTitles()

  Returns the titles.

  Returns:
    titles

### addTitle

    public void addTitle(Title title)

  Adds a new title.

  Parameters:
    `title` - title

### hasTitles

    public boolean hasTitles()

  Returns whether it has the titles.

  Returns:
    whether it has the titles

### getViewability

    public Viewability getViewability()

  Returns the viewability.

  Returns:
    viewability

### setViewability

    public void setViewability(Viewability viewability)

  Sets the viewability.

  Parameters:
    `viewability` - viewability or `null` to reset

### hasViewability

    public boolean hasViewability()

  Returns whether it has the viewability.

  Returns:
    whether it has the viewability

### getAnnotationLink

    public Link getAnnotationLink()

  Returns the annotation link to submit review, rating, labels.

  Returns:
    Annotation link to submit review, rating, labels or `null` for none.

### getAtomAlternateLink

    public Link getAtomAlternateLink()

  Returns the link that provides the URI of an alternate format of the entry's or feed's contents.

  Returns:
    Link that provides the URI of an alternate format of the entry's or feed's contents or `null` for none.

### getEpubDownloadLink

    public Link getEpubDownloadLink()

  Returns the epub download link.

  Returns:
    Epub download link or `null` for none.

### getInfoLink

    public Link getInfoLink()

  Returns the link to a description page.

  Returns:
    Link to a description page or `null` for none.

### getPreviewLink

    public Link getPreviewLink()

  Returns the link to a preview page.

  Returns:
    Link to a preview page or `null` for none.

### getThumbnailLink

    public Link getThumbnailLink()

  Returns the link that provides the URI of a thumbnail image.

  Returns:
    Link that provides the URI of a thumbnail image or `null` for none.

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`